Debugger API (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.2. Initialization

### Variables

CUDBGResult ( *CUDBGAPI_st::finalize )( )
  Finalize the API and free all memory.
CUDBGResult ( *CUDBGAPI_st::initialize )( )
  Initialize the API.

### Variables

CUDBGResult ( *CUDBGAPI_st::finalize )( )

  Finalize the API and free all memory. Since CUDA 3.0.

  See also:

  initialize

  ###### Returns

  CUDBG_SUCCESS, CUDBG_ERROR_UNINITIALIZED, CUDBG_ERROR_COMMUNICATION_FAILURE, CUDBG_ERROR_UNKNOWN

CUDBGResult ( *CUDBGAPI_st::initialize )( )

  Initialize the API. Since CUDA 3.0.

  See also:

  finalize

  ###### Returns

  CUDBG_SUCCESS, CUDBG_ERROR_UNKNOWN